[Документация Yandex Cloud](../../../index.md) > [Yandex Container Registry](../../index.md) > Справочник API > [REST (англ.)](../index.md) > [Registry](index.md) > ListIpPermission

# Container Registry API, REST: Registry.ListIpPermission

List ip permissions for the specified registry.

## HTTP request

```
GET https://container-registry.api.yandexcloud.kz/container-registry/v1/registries/{registryId}:listIpPermission
```

## Path parameters

#|
||Field | Description ||
|| registryId | **string**

Required field. ID of the Registry to return ip permission list.

The maximum string length in characters is 50. ||
|#

## Response {#yandex.cloud.containerregistry.v1.ListIpPermissionsResponse}

**HTTP Code: 200 - OK**

```json
{
  "permissions": [
    {
      "action": "string",
      "ip": "string"
    }
  ]
}
```

#|
||Field | Description ||
|| permissions[] | **[IpPermission](#yandex.cloud.containerregistry.v1.IpPermission)**

List of ip permissions for registry ||
|#

## IpPermission {#yandex.cloud.containerregistry.v1.IpPermission}

#|
||Field | Description ||
|| action | **enum** (Action)

Required field.

- `PULL`
- `PUSH` ||
|| ip | **string**

Value must match the regular expression ``` ^((([0-9]{1,3}.){3}[0-9]{1,3})|([a-fA-F0-9]+:[a-fA-F0-9:]*))(\/[1-9]+[0-9]*)?$ ```. ||
|#